# Uses of Class
org.openoffice.da.comp.w2lcommon.helper.PropertyHelper

Packages that use PropertyHelper
Package
Description
org.openoffice.da.comp.w2lcommon.filter
org.openoffice.da.comp.writer2latex
org.openoffice.da.comp.writer2xhtml

## Uses of PropertyHelper in org.openoffice.da.comp.w2lcommon.filter

Methods in org.openoffice.da.comp.w2lcommon.filter with parameters of type PropertyHelper
Modifier and Type
Method
Description
`protected boolean`
OptionsDialogBase.`saveCheckBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`protected String`
OptionsDialogBase.`saveComboBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`protected short`
OptionsDialogBase.`saveConfig(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData)`
`protected short`
OptionsDialogBase.`saveListBoxOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName, String[] sValues)`
`protected int`
OptionsDialogBase.`saveNumericOptionAsPercentage(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`
`protected abstract void`
OptionsDialogBase.`saveSettings(com.sun.star.beans.XPropertySet xRegistryProps, PropertyHelper filterData)`
Save settings from the dialog to the registry and create FilterData The subclass must implement this
`protected String`
OptionsDialogBase.`saveTextFieldOption(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData, String sName, String sOptionName)`

## Uses of PropertyHelper in org.openoffice.da.comp.writer2latex

Methods in org.openoffice.da.comp.writer2latex with parameters of type PropertyHelper
Modifier and Type
Method
Description
`protected void`
LaTeXOptionsDialog.`saveSettings(com.sun.star.beans.XPropertySet xProps, PropertyHelper filterData)`
Save settings from the dialog to the registry and create FilterData

## Uses of PropertyHelper in org.openoffice.da.comp.writer2xhtml

Methods in org.openoffice.da.comp.writer2xhtml with parameters of type PropertyHelper
Modifier and Type
Method
Description
`protected void`
EpubOptionsDialog.`saveSettings(com.sun.star.beans.XPropertySet xProps, PropertyHelper helper)`
Save settings from the dialog to the registry and create FilterData
`protected void`
XhtmlOptionsDialog.`saveSettings(com.sun.star.beans.XPropertySet xProps, PropertyHelper helper)`
Save settings from the dialog to the registry and create FilterData
`protected void`
XhtmlOptionsDialogCalc.`saveSettings(com.sun.star.beans.XPropertySet xProps, PropertyHelper helper)`
Save settings from the dialog to the registry and create FilterData